<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.tashow.cloud</groupId>
        <artifactId>tashow-framework</artifactId>
        <version>${revision}</version>
    </parent>
    <artifactId>tashow-data-canal</artifactId>
    <packaging>jar</packaging>

    <name>${project.artifactId}</name>
    <description>canal 封装拓展</description>

    <dependencies>
        <dependency>
            <groupId>com.alibaba.otter</groupId>
            <artifactId>canal.client</artifactId>
            <version>1.1.0</version>
        </dependency>

        <!-- Dynamic-Datasource Starter -->
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>dynamic-datasource-spring-boot-starter</artifactId>
            <version>4.2.0</version> <!-- 推荐使用稳定版本 -->
        </dependency>

        <dependency>
            <groupId>javax.annotation</groupId>
            <artifactId>javax.annotation-api</artifactId>
            <version>1.3.2</version> <!-- 最新版本 -->
        </dependency>
        <!-- 芋道基础依赖 -->
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-common</artifactId>
        </dependency>

        <!-- 其他必要依赖 -->
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <optional>true</optional>
        </dependency>
    </dependencies>
</project>
